from covman import *

def f(i):
	return not i

a = False; b = False; c = True

if CovMan.branch("Condition2.java", a):
	print "test"
elif CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) and CovMan.branch("Condition2.java", b)):
	print "test"

if CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) and CovMan.branch("Condition2.java", b) or CovMan.branch("Condition2.java", c)):
	print "test"
elif CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) and (CovMan.branch("Condition2.java", b) or CovMan.branch("Condition2.java", c))):
	print "test"

if CovMan.branch("Condition2.java", f(a and (b or c))):
	print "test"
elif CovMan.branch("Condition2.java", (f(a and (b or c)) == True)):
	print "test"

if CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", f(a)) and CovMan.branch("Condition2.java", f(b or c))):
	print "test"
elif CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", f(a)) and (CovMan.branch("Condition2.java", f(b)) or CovMan.branch("Condition2.java", f(c)))):
	print "test"

if CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) and CovMan.branch("Condition2.java", b) and CovMan.branch("Condition2.java", c)):
	print "test"
	CovMan.statement("Condition2.java")

CovMan.statement("Condition2.java")
